List or search agent sessions
curl --request GET \
--url https://api.video2ctx.dev/v1/agent/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/agent/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/agent/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"latestMessagePreview": "<string>",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runCount": 2,
"createdAt": 1,
"updatedAt": 1
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Agents
List or search agent sessions
Lists the authenticated user’s conversation sessions by recent activity. The optional query performs lexical full-text search over the user prompts recorded for each session. It does not use embeddings or model memory.
GET
/
v1
/
agent
/
sessions
List or search agent sessions
curl --request GET \
--url https://api.video2ctx.dev/v1/agent/sessions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/agent/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/agent/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"latestMessagePreview": "<string>",
"lastRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runCount": 2,
"createdAt": 1,
"updatedAt": 1
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Authorizations
bearerApiKeysessionCookiecliSessionapiKeydemoUser
Permanent personal API key created in the dashboard. Example: curl -H "Authorization: Bearer aty_…" https://your-host/v1/projects
Query Parameters
Optional lexical search query.
Maximum string length:
200Example:
"Durable Objects"
Maximum sessions to return.
Required range:
1 <= x <= 100Opaque cursor returned by the previous page.
Maximum string length:
500